Package com.ocient.cli

# Class CommandResult

java.lang.Object
com.ocient.cli.CommandResult

public class CommandResult extends Object
CommandResult represents the returned state of the CLI command.

## Constructor Summary

Constructors
Constructor
Description
`CommandResult(boolean success)`
`CommandResult(boolean quit, boolean success, Exception exception, String reason)`
`CommandResult(boolean success, Exception exception)`
`CommandResult(boolean success, Exception exception, String reason)`
`CommandResult(boolean success, String reason)`

## Method Summary

Modifier and Type
Method
Description
`Exception`
`getException()`
`String`
`getReason()`
`boolean`
`isQuit()`
`boolean`
`isSuccess()`
`static CommandResult`
`noConnection()`
Creates a standard "no connection" message
`static CommandResult`
`success()`
Creates standard successful query with no message or errors.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CommandResult

public CommandResult(boolean quit, boolean success, Exception exception, String reason)

### CommandResult

public CommandResult(boolean success)

### CommandResult

public CommandResult(boolean success, String reason)

### CommandResult

public CommandResult(boolean success, Exception exception)

### CommandResult

public CommandResult(boolean success, Exception exception, String reason)

## Method Details

### noConnection

public static CommandResult noConnection()
Creates a standard "no connection" message

### success

public static CommandResult success()
Creates standard successful query with no message or errors.

### isQuit

public boolean isQuit()

### isSuccess

public boolean isSuccess()

### getException

public Exception getException()

### getReason

public String getReason()